xserver-xorg-video-geode (2.18.1-6) unstable; urgency=medium

  * Update Git repository layout to follow DEP-14:
    + Create [gbp.conf].
  * [control]
    Revert "[control] Build-Depends: = gcc-multilib [amd64 x32]"
    Building without -m32 doesn't make sense. Let hurd-amd64 fail.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 08 Apr 2025 08:07:24 +0300

xserver-xorg-video-geode (2.18.1-5) unstable; urgency=medium

  * [control]
    = Build-Depends: gcc-multilib [amd64 x32]. hurd-amd64 doesn't ship it.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 21 Mar 2025 17:53:37 +0200

xserver-xorg-video-geode (2.18.1-4) unstable; urgency=medium

  * [control]
    + Build-Depends: gcc-multilib [any-amd64 x32].

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 21 Mar 2025 16:13:08 +0200

xserver-xorg-video-geode (2.18.1-3) unstable; urgency=medium

  * Run 'wrap-and-sort -a -b' one last time before the freeze.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 21 Mar 2025 13:20:17 +0200

xserver-xorg-video-geode (2.18.1-2) unstable; urgency=medium

  * [salsa-ci.yml]
    + Implement basic CI support using the stock Debian pipeline include.
  * [control]
    + Architecture: any-amd64 to satisfy CI requirements.
      This driver obviously isn't usable on anything else than 32-bit hardware
      but recent upstream changes in the ASM code make it compilable on amd64.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 14 Mar 2025 15:46:35 +0200

xserver-xorg-video-geode (2.18.1-1) unstable; urgency=medium

  * New upstream version.
    This release is the result of an extensive code cleanup. Do submit bug
    reports upstream if there's any regression in the driver's usability.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 01 Mar 2025 19:05:49 +0200

xserver-xorg-video-geode (2.11.21-5) unstable; urgency=medium

  * [autopkgtest]
    + Implement basic autopkgtest using adequate.
  * [control]
    = Migrate Build-Depends on x11proto-core-dev to x11proto-dev.
  * [patches]
    - Remove unnecessary patch.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 08 Aug 2024 10:14:48 +0300

xserver-xorg-video-geode (2.11.21-4) unstable; urgency=low

  * [control]
    = Bump Standards-Version to 4.7.0 (no change required).
    + Add Vcs-Git and Vcs-Browser.
  * [Salsa]
    + Import this package into the Debian Salsa Git.
  * [metadata]
    = Fix Bug-Database and Bug-Submit.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 27 May 2024 08:37:02 +0300

xserver-xorg-video-geode (2.11.21-3) unstable; urgency=medium

  * Switch to dpkg-source 3.0 (quilt) format (Closes: #1067861).
  * Migrate Build-Depends from pkg-config to pkgconf.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 28 Mar 2024 07:32:53 +0200

xserver-xorg-video-geode (2.11.21-2) unstable; urgency=medium

  * [upstream]
    + Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 11 Aug 2023 10:27:18 +0300

xserver-xorg-video-geode (2.11.21-1) unstable; urgency=medium

  * New upstream release.
    - Drop all patches (merged upstream).
  * [watch]
    = Monitor xz instead of gz tarballs.
  * [upstream]
    + Import Alan Coopersmith's GPG key.
  * [control]
    = Bump Standards-Version to 4.6.2 (no change required).
  * [patches]
    + 0001_migrate_ac_prog_libtool_to_lt_init.patch (libtool 2.60 to 2.71).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 20 May 2023 20:55:53 +0300

xserver-xorg-video-geode (2.11.20-9) unstable; urgency=medium

  * Merged patches from Git:
    + 04_xz-tarballs-instead-of-bzip2.patch
    + 05_Fix-spelling-wording-issues.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 14 Feb 2022 04:44:09 +0200

xserver-xorg-video-geode (2.11.20-8) unstable; urgency=medium

  * [control]
    = Migrated the Homepage field to a secure URL.
    - Dropped unnecessary dependency on dh-autoreconf.
    = Bumped Standards-Version to 4.6.0.1 (no change required).
  * [copyright]
    + Set the Upstream-Contact field.
    + Set the Upstream-Name field.
  * [metadata]
    + Set the upstream metadata field Bug-Submit.
    + Set the upstream metadata field Repository.
  * [source]
    - Removed obsolete maintscript.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 20 Sep 2021 10:54:17 +0300

xserver-xorg-video-geode (2.11.20-7) unstable; urgency=medium

  * [compat]
    - Removed
  * [control]
    - Build-Depends: debhelper (>= 13)
    + Build-Depends: debhelper-compat (= 13)
    + Rules-Requires-Root: no
    = Bumped Standards-Version to 4.5.1 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 04 Sep 2021 14:58:25 +0300

xserver-xorg-video-geode (2.11.20-6) unstable; urgency=medium

  * Merged patch from Git (Closes: #822112):
    03_Mention-iomem-relaxed.patch

    Fixes a long-standing issue that prevents this legacy X driver from booting
    with stock Linux kernels version 4 or newer. Merely adding a cmdline option
    makes vesafb and legacy X drivers like this one coexist peacefully again.

    This short patch to the upstream README mentions iomem=relaxed as the fix.

    Thanks to Ben Hutchings for figuring this one out.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 17 May 2021 21:58:21 +0300

xserver-xorg-video-geode (2.11.20-5) unstable; urgency=medium

  * [watch]
    + Added missing \ on one line. Fixes "unknown protocol for LWP: debian".

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 03 Jan 2021 17:11:43 +0200

xserver-xorg-video-geode (2.11.20-4) unstable; urgency=medium

  * [rules]
    - Commented out DEB_BUILD_MAINT_OPTIONS. Assume that Debian defaults work.
  * [control][compat]
    = Bumped debhelper compat level to 12.
    + Migrated from dh_install --fail-missing to dh_missing --fail-missing.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 02 Jan 2021 14:34:57 +0200

xserver-xorg-video-geode (2.11.20-3) unstable; urgency=medium

  * Merged patch from Git:
    02_Updated-the-README.patch
    Since Linux 4.x, this driver won't load without GRUB_GFXPAYLOAD_LINUX=text

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 15 Dec 2020 20:27:45 +0200

xserver-xorg-video-geode (2.11.20-2) unstable; urgency=medium

  * Merged patch from Christian Gmeiner (fixes FTBFS on GCC 10):
    01_fno-common.patch
  * [rules]
    Explicitly disabled -bindnow in DEB_BUILD_MAINT_OPTIONS.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 03 Dec 2020 18:39:09 +0200

xserver-xorg-video-geode (2.11.20-1) unstable; urgency=medium

  * New upstream release.
    - Dropped all patches (merged upstream).
  * Fixed reported Lintian issues:
    I: public-upstream-key-not-minimal
    P: debug-symbol-migration-possibly-complete
    W: orig-tarball-missing-upstream-signature
  * Bumped Standards-Version up to 4.4.0 (no change required).
  * Bumped debhelper compat level to 10.
  * [control]
    - Build-Depends: dh-autoreconf; not needed since debhelper 10.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 20 Sep 2019 19:34:56 +0300

xserver-xorg-video-geode (2.11.19-4) unstable; urgency=medium

  * Merged patch from Git:
    0002-gx-Fix-RANDR-initialization-for-xserver-1.20.patch (Closes: #900108)
  * Fixed reported Lintian issues:
    W: source: dh-quilt-addon-but-quilt-source-format dh --with quilt (line 37)
    I: source: debian-watch-uses-insecure-uri ftp://

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 26 May 2018 15:32:09 +0300

xserver-xorg-video-geode (2.11.19-3) unstable; urgency=medium

  * Merged patch from Git:
    0001-Remove-call-to-LoaderGetOS.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 28 Mar 2017 11:02:40 +0000

xserver-xorg-video-geode (2.11.19-2) unstable; urgency=medium

  * [control]
    - Remove -dbg package. Let recent debhelper automagically produce -dbgsym.
  * [rules]
    = Update override_dh_strip:
      --dbgsym-migration xserver-xorg-video-geode-dbg.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 16 Mar 2017 10:21:31 +0000

xserver-xorg-video-geode (2.11.19-1) unstable; urgency=medium

  * New upstream release.
    - Dropped all patches (merged upstream).
  * [control] -dbg:
    = Downgraded Depends on xserver-xorg-core-dbg to Recommends.
    + Added Recommends on xserver-xorg-core-dbgsym (Closes: #848709).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 19 Dec 2016 21:35:07 +0200

xserver-xorg-video-geode (2.11.18-2) unstable; urgency=medium

  * Merge patch from upstream Git:
    + Adapt Block/WakeupHandler signature for ABI 23
  * Bumped Standards-Version up to 3.9.8 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 01 Aug 2016 17:17:31 +0300

xserver-xorg-video-geode (2.11.18-1) unstable; urgency=medium

  * New upstream release.
    - Dropped all patches (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 03 Feb 2016 21:54:29 +0200

xserver-xorg-video-geode (2.11.17-5) unstable; urgency=medium

  * Merged patch from Connor Behan:
    + 0005-Restore-old-VT-switch-code.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 02 Dec 2015 11:50:46 +0200

xserver-xorg-video-geode (2.11.17-4) unstable; urgency=medium

  * Updated dependencies.
    As of 2:1.17.3-1 xserver-xorg-core relies upon the presence of an X driver
    that leverages the kernel's KMS driver to avoid requiring root privileges.
    Older X drivers depend upon a legacy wrapper to enforce operation as root.
    + Recommends: xserver-xorg-legacy (Closes: #802327)

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 28 Oct 2015 08:56:07 +0200

xserver-xorg-video-geode (2.11.17-3) unstable; urgency=medium

  * Merged upstream Git up to 44c508916af7a6e59d898829faaec599dbd51f4a:
    + 0004-Geode-MSR-support-for-FreeBSD.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 28 Sep 2015 14:19:18 +0300

xserver-xorg-video-geode (2.11.17-2) unstable; urgency=medium

  * Merged upstream Git up to aecb0803d318e8100d6024f34a96df225ff738aa:
    + 0001-Properly-hide-config.h-inclusion-inside-HAVE_CONFIG_.patch
    + 0002-Fix-GX-composite-hooks.patch
    + 0003-Fix-GX-UploadToScreen-and-DownloadFromScreen.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 02 Sep 2015 12:14:33 +0300

xserver-xorg-video-geode (2.11.17-1) unstable; urgency=medium

  * New upstream release.
    - Dropped all patches (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 20 May 2015 11:51:01 +0300

xserver-xorg-video-geode (2.11.16-9) unstable; urgency=medium

  * Bumped debhelper compat level to 9.
    Thanks to Julien Cristau for the debian/rules snippet.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 06 May 2015 16:17:34 +0300

xserver-xorg-video-geode (2.11.16-8) unstable; urgency=low

  * Merged upstream Git up to f98301ad73b84915358ce6f6d2522b36c4b603d9:
    + 0001-Geode-MSR-support-for-OpenBSD.patch
    + 0002-Add-config.h-include-to-src-lx_memory.c.patch
    + 0003-Fix-building-Geode-against-xserver-1.17.patch
  * Added quilt to Debhelper options and debian/control:Build-Depends.
  * Bumped Standards-Version up to 3.9.6 (no change required).
  * Bumped debhelper compat level to 8.
    Avoiding compatibility 9 until Debian X maintainers reached a concensus.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 06 May 2015 12:35:39 +0300

xserver-xorg-video-geode (2.11.16-7) unstable; urgency=medium

  * Update 2.11.16-6 changes with Andreas Beckmann's comments in #775471.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 17 Jan 2015 19:21:06 +0200

xserver-xorg-video-geode (2.11.16-6) unstable; urgency=medium

  * debian/xserver-xorg-video-geode-dbg.maintscript:
    + New file. Handles dir_to_symlink for 2.11.13-5 (Closes: #775471).
  * debian/control:
    + xserver-xorg-video-geode-dbg: Pre-Depends: dpkg (>= 1.17.14)

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 16 Jan 2015 15:25:34 +0200

xserver-xorg-video-geode (2.11.16-5) unstable; urgency=medium

  * debian/control:
    + Provides: xorg-driver-video
      This reverses part of the previous changes. Without this, APT uninstalls
      the whole X.Org if no other video driver is installed (Closes: #769042).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Nov 2014 01:07:59 +0200

xserver-xorg-video-geode (2.11.16-4) unstable; urgency=medium

  * debian/control,debian/rules; Gotten one step closer to XSF:
    = Migrated ${xserver:Depends/Provides} to ${xviddriver:Depends/Provides}
  * debian/control; Removed cruft leftover from X11R6 to X11R7 transition:
    - Conflicts: xserver-xorg-driver-geode
    - Provides: xorg-driver-video
    - Replaces: xserver-xorg (<< 7.1), xserver-xorg-driver-geode
  * debian/rules:
    = Reverted to dpkg-buildflags to fetch CPPFLAGS, CFLAGS, LDFLAGS
    - dh_auto_configure: --disable-static --with-pic

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 14 Sep 2014 13:32:11 +0300

xserver-xorg-video-geode (2.11.16-3) unstable; urgency=medium

  * Migrated to debhelper-7 build system:
    + Simplified [debian/rules] to use a single dh command with overrides.
    + Dropped the Build-Depends on CDBS.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 09 Sep 2014 01:55:18 +0300

xserver-xorg-video-geode (2.11.16-2) unstable; urgency=medium

  * Implemented autoreconf as per (https://wiki.debian.org/Autoreconf):
    + Build-Depends: dh-autoreconf
    + debian/rules: include /usr/share/cdbs/1/rules/autoreconf.mk
  * Implemented upstream GPG signature checking in debian/watch.
  * Bumped Standards-Version up to 3.9.5 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 27 Aug 2014 12:00:26 +0300

xserver-xorg-video-geode (2.11.16-1) unstable; urgency=medium

  * New upstream release:
    - Removed: 0001_xserver-1.15_FTBFS.patch (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 17 Jul 2014 04:13:59 +0300

xserver-xorg-video-geode (2.11.15-2) unstable; urgency=medium

  * Merged fix for FTBFS against Xserver 1.15 (Closes: #736984).
    Thanks to Maarten Lankhorst for the fix.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 08 Feb 2014 15:38:02 +0200

xserver-xorg-video-geode (2.11.15-1) unstable; urgency=low

  * New upstream release.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 09 Oct 2013 19:27:49 +0300

xserver-xorg-video-geode (2.11.14-3) unstable; urgency=low

  * Pushing to unstable.
  * Bumped Standards-Version up to 3.9.4 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 06 May 2013 16:43:13 +0300

xserver-xorg-video-geode (2.11.14-2) experimental; urgency=low

  * Merged upstream Git commit ed0b153f320a95a11bd561726d2405823573500e
    "Remove mibstore.h" by Adam Jackson. Removed since xserver 1.14.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 19 Mar 2013 18:21:13 +0200

xserver-xorg-video-geode (2.11.14-1) unstable; urgency=low

  * New stable upstream maintenance release:
    - Dropped all patches (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 25 Nov 2012 12:14:22 +0200

xserver-xorg-video-geode (2.11.13-8) unstable; urgency=low

  * Merged upstream Git up to 45ca66ee73bfe04a7ac17e2086f2e5d20bfa93e9
    + lx_exa: Improvements to negative srcX/Y PictOpSrc/Over operations
    Fixes regressions that appear in GNOME's fallback mode icon rendering,
    hence we're pushing this to unstable for a Wheezy freeze exception.
  * Dropped the following non-essential patches from upstream Git:
    - 0010-NEWS-add-information-about-releases-since-2.11.9.patch
    - 0013-Clarified-the-copyright-and-license-of-src-geode_msr.patch
    This essentially means that Wheezy would ship with Geode 2.11.14,
    minus the documentation changes.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 24 Nov 2012 10:15:23 +0200

xserver-xorg-video-geode (2.11.13-7) unstable; urgency=low

  * Merged upstream Git up to a46486b05f4674fc17f36947c97bc281c1d00d26
    + lx_exa: Implement solid pictures support as source with a mask
    + lx_exa: Remove unused srcPixmap member from exaScratch
    Fixes regressions that appear in GNOME's fallback mode icon rendering,
    hence we're pushing this to unstable for a Wheezy freeze exception.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 23 Oct 2012 14:45:43 +0300

xserver-xorg-video-geode (2.11.13-6) unstable; urgency=low

  * Merged upstream GIT up to 65d9954ef61b7e22252d38cc81db710a8ec0b22b
    + lx_exa: Downgrade src/dst format warnings to fallbacks to not spam log
    + lx_exa: Fix crash with solid fills on PictOpAdd operations
    Fixes regressions that appear in GNOME's fallback mode icon rendering,
    hence we're pushing this to unstable for a Wheezy freeze exception.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 18 Sep 2012 15:27:40 +0300

xserver-xorg-video-geode (2.11.13-5) experimental; urgency=low

  * debian/rules:
    + --link-doc=xserver-xorg-video-geode

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 26 Aug 2012 16:41:05 +0300

xserver-xorg-video-geode (2.11.13-4) experimental; urgency=low

  * Merged upstream GIT up to 0e64b1252c51e380f72f6ff0bdb6836a6e27071d
    + Fixes compilation against X server 1.13 API.
  * Refresh all previous patches.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 10 Aug 2012 17:27:00 +0300

xserver-xorg-video-geode (2.11.13-3) unstable; urgency=low

  * Merged upstream GIT commit b9afafec0a26eaec49e7f0ff08297c2bb795a9c2
    "geode: fix compile on x86-64 in tinderbox"
  * Bumped Standards-Version up to 3.9.3 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 30 Apr 2012 22:40:27 +0300

xserver-xorg-video-geode (2.11.13-2) unstable; urgency=low

  * Merge upstream GIT commit 048c67d6f351083741ef68e94a278a445c16436d
    "z4l.c: drop unnecessary #include linux/types.h" to fix the build
    on Debian GNU/kFreeBSD.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 02 Jan 2012 18:17:24 +0200

xserver-xorg-video-geode (2.11.13-1) unstable; urgency=low

  * New upstream release:
    + Architecture: any-i386 (kFreeBSD-i386 now works; hurd-i386 may work too).
  * Only generate VIDEOABI-based Depends where applicable (Closes: #650733).
  * [debian/rules]:
    Removed deprecated variables:
    - "CFLAGS +=-march=geode -mtune=geode"
    - "LDFLAGS +=-Wl,-O1 -Wl,--as-needed"
    - "DEB_CONFIGURE_SCRIPT_ENV +="
  * Migrated to source format 3.0 (quilt).
    + [debian/control]: Build-Depends on dpkg-dev (>= 1.14.17~).
    - [debian/control]: drop the Build-Depends on quilt.
    - [debian/rules]: drop the patchsys-quilt.mk CDBS include.
    - [debian/README.source]: deleted.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 26 Dec 2011 22:21:01 +0200

xserver-xorg-video-geode (2.11.12-3) unstable; urgency=low

  * The "Small comments produce Big results" release (Closes: #568516, #570864).
    - No longer Recommends: xserver-xorg-video-cyrix, xserver-xorg-video-nsc.
    - No longer generates transitional xserver-xorg-video-amd{-dbg} targets.
    These legacy features can easily be uncommented when building backports.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 20 Oct 2011 15:45:46 +0300

xserver-xorg-video-geode (2.11.12-2) unstable; urgency=low

  * Migrated CDBS patch management from simple-patchsys.mk to patchsys-quilt.mk.
    + Adopted the short README.source from "Quilt for Debian Maintainers" as-is.
    + Added a Build-Depends on quilt.
  * Bumped Standards-Version up to 3.9.2 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 29 Aug 2011 19:40:39 +0300

xserver-xorg-video-geode (2.11.12-1) unstable; urgency=low

  * New upstream release.
    - Dropping patches from 2.11.11-2 (merged upstream).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 13 Feb 2011 22:01:28 +0200

xserver-xorg-video-geode (2.11.11-2) unstable; urgency=low

  * The "Congratulations to the Squeeze team!" release.
  * Added two patches from GIT:
    + Fix packed overlay offscreen allocations.
    - Stop including "linux/videodev.h" in z4l.c:
      V4L1 support was dropped as of Linux kernel 2.6.38
      and our driver builds fine without it.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 07 Feb 2011 02:13:37 +0200

xserver-xorg-video-geode (2.11.11-1) unstable; urgency=low

  * New upstream release.
  * Updated my contact info in [debian/*] files.
  * Dropped CFLAGS+="-march=geode -mtune=geode" from the build environment
    and corresponding Build-Depends on GCC (>= 4.3).  Not needed on Ubuntu
    since Maverick, plus it hampers operation on GX2 hardware on Debian.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 27 Dec 2010 15:53:59 +0200

xserver-xorg-video-geode (2.11.10-1) experimental; urgency=low

  * New upstream release.
    - Removed all debian/patches (merged upstream).

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 09 Nov 2010 11:38:13 +0200

xserver-xorg-video-geode (2.11.9-7) unstable; urgency=low

  * Merged patch from upstream GIT:
    - Move eCafe EC800 support to panel-only BIOS-dependant feature.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 28 Oct 2010 13:01:52 +0300

xserver-xorg-video-geode (2.11.9-6) unstable; urgency=low

  * Merged patches from upstream GIT:
    + Replace custom Geode offscreen allocation with standard EXA calls.
    + Add lx_output_get_crtc to prevent driver reset with unknown CRTC.
    + Prevent OLPC DCON from sleeping when it's in frozen state.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 27 Oct 2010 19:00:17 +0300

xserver-xorg-video-geode (2.11.9-5) unstable; urgency=low

  * Merged patches from upstream GIT:
    + Fix a typo on a panel resolution's sync frequency.
    + Add native support for the 1024x600 panel resolution used on the
      Hercules eCafe EC800 (LP: #433142)

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 29 Sep 2010 17:01:31 +0300

xserver-xorg-video-geode (2.11.9-4) unstable; urgency=low

  * Merged patch from upstream GIT to fix rotation (Closes: #512020).
  * Also fixes LP #377929.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 26 Sep 2010 13:54:02 +0300

xserver-xorg-video-geode (2.11.9-3) unstable; urgency=high

  * Merged patch from upstream GIT to sanitize DCON detection on OLPC.
  * Added missing Build-Depends on xutils-dev.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 21 Sep 2010 15:30:23 +0300

xserver-xorg-video-geode (2.11.9-2) unstable; urgency=high

  * Added a missing Provides: xorg-driver-video to qualify for Squeeze.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 28 Aug 2010 10:21:15 +0300

xserver-xorg-video-geode (2.11.9-1) unstable; urgency=high

  * New upstream release: merges all changes since 2.11.8-5.
    Justification for urgency: fixes several regressions.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 23 Aug 2010 08:16:16 +0300

xserver-xorg-video-geode (2.11.8-13) unstable; urgency=low

  * Updated the patch from GIT to test upcoming Geode 2.11.9 features.
    Currently up to commit 673d71b970a6d02449c9994e67f337d117d7f075
    Announcement of the release candidate prompted these extra fixes.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 12 Aug 2010 20:07:04 +0300

xserver-xorg-video-geode (2.11.8-12) unstable; urgency=low

  * Upgraded debian/rules to adjust to recent xserver-core-dev changes.
    This is required to successfully build the package on Debian/Squeeze
    and on Ubuntu/Maverick (Closes: #585437).
    Retains back-portability thanks to adaptive debian/rules macro.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 11 Aug 2010 01:09:19 +0300

xserver-xorg-video-geode (2.11.8-11) unstable; urgency=low

  * Updated the patch from GIT to test upcoming Geode 2.11.9 features.
    Currently up to commit fe6ad5942bf3d638bee2e6979f60d9d7128ba1e8
    and upstream feels confident that this would be 2.11.9 final.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 09 Aug 2010 13:57:19 +0300

xserver-xorg-video-geode (2.11.8-10) unstable; urgency=low

  * Updated the patch from GIT to test upcoming Geode 2.11.9 features.
    Currently up to commit ebe43da32226eb7bc3ef758c43eff85ac8b8baef

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 07 Aug 2010 23:25:46 +0300

xserver-xorg-video-geode (2.11.8-9) unstable; urgency=low

  * Updated the patch from GIT to test upcoming features.
    Unless I'm mistaken, this is what Geode 2.11.9 will be.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 06 Aug 2010 18:00:41 +0300

xserver-xorg-video-geode (2.11.8-8) unstable; urgency=low

  * Updated the patch from GIT to test upcoming features.
  * Bumped Standards-Version up to 3.9.1 (no change required).

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 06 Aug 2010 08:28:28 +0300

xserver-xorg-video-geode (2.11.8-7) unstable; urgency=low

  * Updated the patch from GIT to test upcoming features.
  * Bumped Standards-Version up to 3.9.0 (no change required).
  * Added CFLAGS+="-march=geode -mtune=geode" to the build environment.
    Justification: Geode is an x86 sub-architecture with a built-in GPU,
    so we might as well always produce platform-optimized binaries.
    Build-Depends: gcc (>= 4.3), which breaks Ubuntu/Hardy support.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 19 Jul 2010 16:10:36 +0300

xserver-xorg-video-geode (2.11.8-6) unstable; urgency=low

  * Updated the patch from GIT to test upcoming features.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 23 Jun 2010 16:10:12 +0300

xserver-xorg-video-geode (2.11.8-5) unstable; urgency=low

  * Updated dependencies for all -dbg and transitional packages.
  * Added unified patch from GIT to test upcoming 2.11.9 features.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 18 Jun 2010 13:10:11 +0300

xserver-xorg-video-geode (2.11.8-4) unstable; urgency=low

  * Added generation of Depends:xserver-xorg-core-dbg for -dbg target.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 18 Apr 2010 20:25:30 +0300

xserver-xorg-video-geode (2.11.8-3) unstable; urgency=low

  * Removed versioned Conflicts against xserver-xorg-video-nsc.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 18 Apr 2010 13:26:40 +0300

xserver-xorg-video-geode (2.11.8-2) unstable; urgency=low

  * Added xserver-xorg-video-geode Provides xserver-xorg-video-amd.
  * Loosened up unnecessarily thight dpkg-dev Build-Depends.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 17 Apr 2010 08:05:29 +0300

xserver-xorg-video-geode (2.11.8-1) unstable; urgency=low

  * New upstream release (Closes: #568827) (LP: #520671).
  * Removed unnecessary Build-Depends on x11proto-dri2-dev.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 15 Apr 2010 17:02:46 +0300

xserver-xorg-video-geode (2.11.7-3) unstable; urgency=high

  * Merged upstream patch to fix a serious regression that broke pixmap
    support when running under X server 1.7 or newer.
    "lx_exa: bail earlier (in CheckComposite) for non-alpha-only masks"
    Pushing this now so that Squeeze/Lucid ship with something usable.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 12 Apr 2010 12:57:08 +0300

xserver-xorg-video-geode (2.11.7-2) unstable; urgency=low

  * Created debian/source/format.
  * Updated Build-Depends.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 08 Apr 2010 17:46:48 +0300

xserver-xorg-video-geode (2.11.7-1) unstable; urgency=low

  * New upstream release:
    + Cleanups in the GX2 "Red Cloud" chipset support.
    + Several maintenance upgrades to autotool scripts.
    + Some typo fixes in the documentation and in source code comments,
      including 93f0303f79ce29e896e4817e945709c6a1d3df69.
  * Bumped Standards-Version up to 3.8.4 (no change required).

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 03 Feb 2010 21:30:30 +0000

xserver-xorg-video-geode (2.11.6-4) unstable; urgency=low

  * Added patch 93f0303f79ce29e896e4817e945709c6a1d3df69 from upstream GIT:
    "Geode LX does not support PanelGeometry"
  * Updated the source URL in debian/copyright to the X.Org FTP.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 25 Jan 2010 07:17:34 +0000

xserver-xorg-video-geode (2.11.6-3) unstable; urgency=low

  * Revised all package descriptions in debian/control.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 30 Dec 2009 11:27:08 +0000

xserver-xorg-video-geode (2.11.6-2) unstable; urgency=low

  * Removed Build-Depends on obsolete x11proto-xf86misc-dev (Closes: #559703).

    NOTE: upstream really could use some help in maintaining this driver!

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 26 Dec 2009 11:19:22 +0000

xserver-xorg-video-geode (2.11.6-1) unstable; urgency=low

  * New upstream release:
    Revert "LX validate display modes" because it breaks detection of
    arbitrary non-VESA resolutions such as with the OLPC (LP: #433228).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 27 Sep 2009 12:16:46 +0000

xserver-xorg-video-geode (2.11.5-1) unstable; urgency=low

  * New upstream release:
    + Drop the following patches (merged upstream):
      0001-GX-refactor-code-that-allow-backward-compatibility-w.patch
      0002-LX-validate-display-modes.patch
    + Addition of LX display mode validation.
    + Plenty of documentation improvements.
    + Several minor fixes for GX2 support.
  * Updated the Homepage filed in debian/control.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 22 Sep 2009 15:02:28 +0000

xserver-xorg-video-geode (2.11.4.1-2) unstable; urgency=low

  * Added the following patches by Otavio Salvador:
    0001-GX-refactor-code-that-allow-backward-compatibility-w.patch
    0002-LX-validate-display-modes.patch

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 18 Sep 2009 19:05:43 +0000

xserver-xorg-video-geode (2.11.4.1-1) unstable; urgency=low

  * New upstream release.
    Fixes a typo in commit b28abde0276ddd7f687242f3886f98b0e49a7fc2.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 01 Sep 2009 12:41:55 +0000

xserver-xorg-video-geode (2.11.4-2) unstable; urgency=low

  * Really remove arch:lpia. Geode doesn't build on anything but i386.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 29 Aug 2009 19:46:15 +0300

xserver-xorg-video-geode (2.11.4-1) unstable; urgency=low

  * Added opts=passive to debian/watch.
  * New upstream release:
    + Some header upgrades for newer X servers.
    + Numerous documentation improvements.
    + Some GX2 fixes.
  * Dropped patch 0001_make_XAA_default_on_GX2; merged upstream.

    NOTE: We're aware that GX2 support is still somewhat broken.
          Check the upstream README to learn how you can help.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 28 Aug 2009 12:18:26 +0300

xserver-xorg-video-geode (2.11.3-2) unstable; urgency=low

  * Added patch 0001_make_XAA_default_on_GX2
    from upstream GIT commit 255c0b985731350fdfd38987a95310e72f4e5381
    EXA support is broken for GX2 so we disable it and use XAA for now.
  * Updated the Homepage to http://wiki.x.org/wiki/GeodeDriver
  * Bumped Standards-Version up to 3.8.3 (no change required).

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 19 Aug 2009 12:40:04 +0300

xserver-xorg-video-geode (2.11.3-1) unstable; urgency=low

  * New upstream release:
    + Dropped GPIO detection patch; merged upstream.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 19 Jun 2009 21:04:05 +0300

xserver-xorg-video-geode (2.11.2-2) unstable; urgency=low

  * Merged patch from GIT to fix GPIO detection crash (Closes: #531889).

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 05 Jun 2009 00:32:40 +0300

xserver-xorg-video-geode (2.11.2-1) unstable; urgency=low

  * New upstream release.
  * Migrated -dbg packages to the new Section:debug.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 21 May 2009 23:30:04 +0300

xserver-xorg-video-geode (2.11.1-1) unstable; urgency=low

  * New upstream release:
    Supercedes both previous versions of the Mask Transform patches.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 17 Feb 2009 09:01:31 +0200

xserver-xorg-video-geode (2.11.0-3) unstable; urgency=low

  * The "Hurray for Lenny & Hello Squeeze!" release:
    Replace the mask transform fallback patch with a better one.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 15 Feb 2009 19:27:22 +0200

xserver-xorg-video-geode (2.11.0-2) unstable; urgency=low

  * Merged "[PATCH] Fallback in case of mask transforms as well."
  * Bumped Standards-Version up to 3.8.0:
    + Added the Homepage field to debian/control.
    + No other change required.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 07 Feb 2009 16:54:59 +0200

xserver-xorg-video-geode (2.11.0-1) experimental; urgency=low

  * New upstream release.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 10 Dec 2008 14:12:46 +0200

xserver-xorg-video-geode (2.10.1-5) unstable; urgency=low

  * Uploading to unstable.
  * Relaxing Build-Depends on X core to >= 2:1.3 again.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 05 Dec 2008 14:46:01 +0200

xserver-xorg-video-geode (2.10.1-4) experimental; urgency=low

  * Removed the Vcs fields from debian/control.
  * Added lpia to Arch in debian/control.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 15 Oct 2008 14:39:32 +0300

xserver-xorg-video-geode (2.10.1-3) experimental; urgency=low

  * Reintroduced debian/control and debian/rules changes from 2.10.1-1
    and uploaded to experimental.
  * Reintroduced Build-Depends on X core to >= 2:1.4.99 until Lenny.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 18 Aug 2008 13:13:04 +0300

xserver-xorg-video-geode (2.10.1-2) unstable; urgency=low

  * Reverted debian/control and debian/rules changes to 2.10.0-4 status,
    as requested by Release Management team, for inclusion in Lenny.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 18 Aug 2008 12:17:41 +0300

xserver-xorg-video-geode (2.10.1-1) unstable; urgency=low

  * New upstream release:
    "Added info about the current roadmap."
    "Geode: Add DDC support for the CS5535"
    "lx: Fix rotate issue"
  * Transitioned debian/control to XSF dependency versioning files.
    This breaks backportability for Debian/Etch and Ubuntu/Gutsy, but
    it makes bin-NMU and a whole bunch of other things MUCH easier.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 15 Aug 2008 14:48:06 +0300

xserver-xorg-video-geode (2.10.0-6) experimental; urgency=low

  * Bumped Build-Depends on X core to >= 2:1.4.99 for experimental.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 22 Jul 2008 07:40:34 +0300

xserver-xorg-video-geode (2.10.0-5) experimental; urgency=low

  * Bumped Provides to server-2.9 for upcoming X.org 1.5 core ABI.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 08 Jul 2008 14:16:50 +0300

xserver-xorg-video-geode (2.10.0-4) unstable; urgency=low

  * Removed the duplicated debian/rule content once more.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 26 Jun 2008 03:17:39 +0300

xserver-xorg-video-geode (2.10.0-3) unstable; urgency=medium

  * Deprecated the trouble-making transitional AMD symbolic links.
  * Made GEODE Conflicts with all previous AMD and NSC packages.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 20 Jun 2008 15:52:20 +0300

xserver-xorg-video-geode (2.10.0-2) unstable; urgency=low

  * Re-introduced support for GX2 hardware (PCI 100B0030):
    + Conflicts: xserver-xorg-video-nsc << 1:2.8.3-3

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 16 Jun 2008 14:49:38 +0300

xserver-xorg-video-geode (2.10.0-1) unstable; urgency=low

  * New upstream release:
    + Bring over the DCON detection code from the OLPC tree.
    + Unmap the PCI memory when we close the screen.
    + Many build fixes.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 14 Jun 2008 07:46:03 +0300

xserver-xorg-video-geode (2.9.0-4) unstable; urgency=medium

  * Rewrote debian/control to emphasize that -amd should be purged at
    someone's earliest convenience, as soon as their static xorg.conf
    has been upgraded to match the new X.org driver name.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 02 Jun 2008 17:18:51 +0300

xserver-xorg-video-geode (2.9.0-3) unstable; urgency=medium

  * Removed the GX model's PCI ID from geode.ids to fix LTSP usage case.

    NOTE: GX is currently covered by two drivers, due to the "nsc" driver
    including backported GX support, which produces PCI ID conflicts with
    "geode". "geode" has more up-to-date GX support and cleaner code than
    "nsc" but conflicts with the existing Debian "nsc" package, hence the
    decision to disable GX support in this package, until further notice.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 29 May 2008 21:02:18 +0300

xserver-xorg-video-geode (2.9.0-2) unstable; urgency=low

  * Moved backward-compatibility symbolic links to AMD package.
  * Added a versioned Conflicts/Replaces against << 2.9.0-2 to match.
  * Added usr/share/xserver-xorg/pci/geode.ids Debian PCI ID list.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 28 May 2008 11:23:16 +0300

xserver-xorg-video-geode (2.9.0-1) unstable; urgency=low

  * New upstream release:
    Changes from 2.8.0+git20080424 released as 2.9.0 by upstream.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 07 May 2008 23:05:58 +0300

xserver-xorg-video-geode (2.8.0+git20080424-1) unstable; urgency=low

  * Merged upstream GIT commit 61663593475f61567466c105ca19d5009a4e9c41:

    "Teach libDDC to access the DDC pins on the Geode natively, instead
    of using the BIOS which has proven to be broken time and time again."

    This libDDC support makes DDC polling succeed on any Geode GX/LX
    hardware, regardless of how buggy the BIOS implementation is. If
    DDC still fails on your hardware, it means that the DDC pins are
    not physically connected to the VGA port. BADMANUFACTURER error!

  * Ran autogen.sh to regenerate the autotool files.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 25 Apr 2008 12:56:23 +0300

xserver-xorg-video-geode (2.8.0-7) unstable; urgency=low

  * Added URL to the xorg-driver-geode mailing list in description.
  * Fixed Lintian W: missing Depends for transitional -dbg package.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 13 Apr 2008 11:38:18 +0300

xserver-xorg-video-geode (2.8.0-6) unstable; urgency=low

  * Added transitional Replaces: xserver-xorg-video-amd relationship.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 10 Apr 2008 17:59:10 +0300

xserver-xorg-video-geode (2.8.0-5) unstable; urgency=low

  * Changed 'amd' module name to 'geode' in package descriptions.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 08 Apr 2008 13:24:17 +0300

xserver-xorg-video-geode (2.8.0-4) unstable; urgency=low

  * Added symbolic link to amd_drv.so to enable backward compatibility.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 07 Apr 2008 18:22:18 +0300

xserver-xorg-video-geode (2.8.0-3) unstable; urgency=low

  * Upgraded debian/watch to the new archive path. (DOH!)

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 07 Apr 2008 12:02:28 +0300

xserver-xorg-video-geode (2.8.0-2) unstable; urgency=high

  * Made transitional packages arch:i386 to prevent FTBFS (Closes: #474561).

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 07 Apr 2008 10:12:29 +0300

xserver-xorg-video-geode (2.8.0-1) unstable; urgency=low

  * New upstream release:
    "Welcome to xf86-video-geode!"
    + Renaming of the xf86-video-amd driver to xf86-video-geode driver.
    + Whitespace cleanup in the GX driver.
  * Renamed every Debian packaging file and script imaginable to match.
  * Created dummy transitional packages to faciliate upgrades from AMD.
  * Bumped Build-Depends on dpkg-dev to 1.14.16 for xs-vcs warning.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 02 Apr 2008 16:06:09 +0300

xserver-xorg-video-amd (2.7.7.7-1) unstable; urgency=low

  * New upstream release:
      "xf86-video-amd is dead - long live xf86-video-geode!"

      This is the last upstream release as "amd"; future releases will
      be named "geode" to remove confusion with former ATI products. A
      transitional mechanism exists to make this driver recognize when
      it is being called under either name to facilitate upgrades.

    + Add the "geode" driver name in preparation for the renaming.
    + Fix panel and DDC interation with GX (Closes: #472206).
    + Add support for wide and non-standard resolutions.
    + Fix a compile error in < 1.5 builds.
    + Fix Gamma initialization.
    + Add libpciaccess support.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 24 Mar 2008 13:47:59 +0200

xserver-xorg-video-amd (2.7.7.6-1) unstable; urgency=low

  * New upstream release:
    + Default depth raised to 16-bit.
    + Several GCC warning fixes.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 26 Jan 2008 02:32:59 +0200

xserver-xorg-video-amd (2.7.7.5-1) unstable; urgency=low

  * New upstream release:
    + Basic OLPC support from Bernardo Innocenti and Jordan Crouse.
    + Trivial patch to fix the ZTV module from Martin-Éric Racine.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 14 Jan 2008 04:31:09 +0200

xserver-xorg-video-amd (2.7.7.4-1) unstable; urgency=low

  * New upstream release:
    [GX][LX] PreInit fixes to avoid segfaults on X -configure.

    This is known to work on products with GeodeROM and Insyde BIOSes.

    On products with a General Software BIOS, a freeze occurs while X
    is probing VBE.  The same issue occurs with LinuxBIOS and VGAROM,
    but not with LinuxBIOS omitting VGAROM.

    Both issues appear to be caused by X server core upgrading from
    vm86 to x86emu since X server release 1.3, which requires fixing
    x86emu, or the concerned BIOSes, or both.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 05 Jan 2008 06:47:20 +0200

xserver-xorg-video-amd (2.7.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 26 Oct 2007 15:50:48 +0300

xserver-xorg-video-amd (2.7.7.2-2) unstable; urgency=low

  * Bumped Build-Depends to X server 1.4 core as follow:
    + xserver-xorg-dev (>= 1:1.1.1) to (>= 2:1.4).
    + x11proto-randr-dev (no version) to (>= 1.2).
  * Bumped binary target Provides correspondingly as follow:
    xserver-xorg-video-1.0 to xserver-xorg-video-2.
  * Above changes break compatibility with Debian/Etch and Ubuntu/Gutsy,
    but restore ABI/API compatibility with X.org 7.3 (Closes: #443285).

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon,  1 Oct 2007 15:16:32 +0300

xserver-xorg-video-amd (2.7.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 17 Sep 2007 15:47:48 +0300

xserver-xorg-video-amd (2.7.7.1-1) unstable; urgency=high

  * New upstream release.
  * Fixes "content changed if build twice or more" (Closes: #441733).

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 12 Sep 2007 11:33:27 +0300

xserver-xorg-video-amd (2.7.7.0-1) unstable; urgency=low

  * New upstream release:
    This is the first official upstream release to come out of GIT.
    Many thanks go to AMD's Jordan Crouse and to other OLPC developers
    for making this release happen.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun,  2 Sep 2007 14:21:21 +0300

xserver-xorg-video-amd (2.7.6.5+git20070802-3) unstable; urgency=low

  * Added debian/watch file for official FreeDesktop.org releases.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 24 Aug 2007 14:43:56 +0300

xserver-xorg-video-amd (2.7.6.5+git20070802-2) unstable; urgency=low

  * Added a link to the xserver-xorg-core bug script, to ensure that
    bug reports contain the user's config and log files.
    - This feature Depends on xserver-xorg-core >= 2:1.1.1-11, which
      still works for backports since Etch has 2:1.1.1-21 in stock.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue,  7 Aug 2007 23:00:53 +0300

xserver-xorg-video-amd (2.7.6.5+git20070802-1) unstable; urgency=low

  * New upstream git snapshot.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu,  2 Aug 2007 21:49:31 +0300

xserver-xorg-video-amd (2.7.6.5+git20070725-1) unstable; urgency=low

  * New upstream git snapshot.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 27 Jul 2007 23:06:02 +0300

xserver-xorg-video-amd (2.7.6.5+git20070711-2) unstable; urgency=low

  * Added substvars versioning for xserver-xorg-core (Closes: #432458).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 22 Jul 2007 02:24:50 +0300

xserver-xorg-video-amd (2.7.6.5+git20070711-1) unstable; urgency=low

  * New upstream git snapshot.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 11 Jul 2007 01:19:58 +0300

xserver-xorg-video-amd (2.7.6.5+git20070208-5) unstable; urgency=low

  * Migrated Source-Version to binary:Version dependency substitution.
  * Retooled using autoconf 2.61, automake 1.10, libtool 1.5.22.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 10 Jul 2007 22:12:52 +0300

xserver-xorg-video-amd (2.7.6.5+git20070208-4) unstable; urgency=high

  * Made both targets Architecture: i386 to fix FTBFS (Closes: #430586).

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 26 Jun 2007 12:58:51 +0300

xserver-xorg-video-amd (2.7.6.5+git20070208-3) unstable; urgency=low

  * Changed Architecture to i386. Thanks to Kees Cook for spotting this.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 25 Jun 2007 21:23:41 +0300

xserver-xorg-video-amd (2.7.6.5+git20070208-2) unstable; urgency=low

  * Added -dbg target.
  * Added NEWS.Debian.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 18 Jun 2007 14:05:40 +0300

xserver-xorg-video-amd (2.7.6.5+20070208-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #400748):
    - Provides xserver-xorg-video-1.0 instead of xserver-xorg-video.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 14 Jun 2007 21:46:54 +0300

xserver-xorg-video-amd (2.7.6.5~20070208-0ubuntu0linutop1) edgy; urgency=low

  * New upstream git snapshot.

 -- Gauvain Pocentek <gauvainpocentek@ubuntu.com>  Thu,  8 Feb 2007 15:18:46 +0100

xserver-xorg-video-amd (2.7.6.5~20060905-0ubuntu1) edgy; urgency=low

  * New package xserver-xorg-video-amd, based on git checkout of
    git://anongit.freedesktop.org/git/xorg/driver/xf86-video-amd
    dated 20060905.

 -- Rodrigo Parra Novo <rodarvus@ubuntu.com>  Tue,  5 Sep 2006 14:07:48 -0300
